Bug 663114 - Only allow Jobs and RecipeSets to be cancelled
Summary: Only allow Jobs and RecipeSets to be cancelled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.6
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ---
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 18:24 UTC by Bill Peck
Modified: 2019-05-22 13:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 06:11:50 UTC


Attachments (Terms of Use)

Description Bill Peck 2010-12-14 18:24:34 UTC
Description of problem:

Cancelling one recipe in a recipeSet doesn't make any sense and can cause problems.

We should enforce only cancelling Jobs and RecipeSets.

Please move the following recipe action cancel to the RecipeSet in the WEBUI.

We also need to make sure the command line tool only lets you cancel Jobs and RecipeSets.  If a user specifies a recipe it should report an error back saying only RecipeSets and Jobs can be cancelled.

I believe we won't have an actions left on the Recipe Level after this move.

Comment 1 Dan Callaghan 2011-01-13 06:11:50 UTC
Beaker 0.6.2 has been released.


Note You need to log in before you can comment on or make changes to this bug.